Subject: [rohc] COPY-LITERAL and COPY-OFFSET torture test

From: Cristian CONSTANTIN <[email-masked]>
Date: Thu, 23 Jun 2005 18:24:04 +0200

hi!

about test "2.7  COPY-LITERAL and COPY-OFFSET" in the draft "SigComp
Torture Tests".
in different memory configurations I get different results.
when interpreting the sigcomp payload spec'ed in the annex 
"A.1.7  COPY-LITERAL and COPY-OFFSET" of the same draft, the
instruction:

LOAD ($offset, 1)

unless the udvm memory is over 0x4042 bytes, causes a memory fault, 
trying to access memory outside the total memory available for the udvm.
am I wrong or is it suppossed to be so?
was the "$" intended (i.e writing through indirection)? the next
instruction:

COPY-OFFSET ($offset, 5, $destination)

does not seem to make use of what the previous LOAD has written.
that of course if my udvm has behaved itself up to the 
LOAD ($offset, 1).
using:

LOAD (offset, 1)

doesn't lead to this kind of problem; the output would be differrent,
though.
and since I'm at it: how can the interpreter "guess" the minimum udvm
memory size needed to run such a bytecode?

bye now!
cristian
-- 
 _          | There are many people who use UNIX or Linux  
(_'_        | who IMHO do not understand UNIX.
  (_'rist   |              --David Korn  
GPG public key at wwwkeys.de.pgp.net
_______________________________________________
Rohc mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/rohc